#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"タイピングゲーム!!\n"
puts" \n"
sleep(2)
puts"何題やる?? 5 or 10 or 15\n"
puts" \n"
monndai = gets.to_i

if monndai == "5"
  print(" \n")
  print("OK!\n")
  print("間違えたら即終了!!\n")
  print(" \n")
  print("準備はいい??\n")
  print("よーい    スタート!\n")
  print(" \n")
  print("第一問 がっこうぎょうじ\n")
  print(" \n")
  gyouzi = gets.chomp

  if gyouzi == "がっこうぎょうじ"
    print(" \n")
    print("第二問 あめあがりのにじ\n")
    print(" \n")
    ameagari = gets.chomp

    if ameagari == "あめあがりのにじ"
      print(" \n")
      print("第三問 ぜんこうちょうかい")
      print(" \n")
      zennkou = gets.chomp

      if zennkou == "ぜんこうちょうかい"
        print(" \n")
        print("第四問 たいぴんぐれんしゅう")
        print(" \n")
        taipinngu = gets.chomp

        if taipinngu == "たいぴんぐれんしゅう"
          print(" \n")
          print("第五問 てんきよほう")
          print(" \n")
          tenki = gets.chomp

          if tennki == "てんきよほう"
            print(" \n")
            print("おめでとう!!")
            print(" \n")
          end
        end
      end
    end
  end
end

if monndai == "10"
  print(" \n")
  print("OK!\n")
  print("間違えたら即終了!!\n")
  print(" \n")
  print("準備はいい??\n")
  print("よーい    スタート!\n")
  print(" \n")
  print("第一問 がっこうぎょうじ\n")
  print(" \n")
  gyouzi = gets.chomp

  if gyouzi == "がっこうぎょうじ"
    print(" \n")
    print("第二問 あめあがりのにじ\n")
    print(" \n")
    ameagari = gets.chomp

    if ameagari == "あめあがりのにじ"
      print(" \n")
      print("第三問 ぜんこうちょうかい")
      print(" \n")
      zennkou = gets.chomp

      if zennkou == "ぜんこうちょうかい"
        print(" \n")
        print("第四問 たいぴんぐれんしゅう")
        print(" \n")
        taipinngu = gets.chomp

        if taipinngu == "たいぴんぐれんしゅう"
          print(" \n")
          print("第五問 てんきよほう")
          print(" \n")
          tenki = gets.chomp

          if tennki == "てんきよほう"
            print(" \n")
            print("第六問 ぺっとしょっぷ")
            print(" \n")
            petto = gets.chomp

            if petto == "ぺっとしょっぷ"
              print(" \n")
              print("第七問 じゅにあどくたーちょうかいじゅく\n")
              print(" \n")
              zyunia = gets.chomp

              if zyunia == "じゅにあどくたーちょうかいじゅく"
                print(" \n")
                print("第8問 ちょうかいざん\n")
                print(" \n")
                tyoukai = gets.chomp
                
                if tyoukai == "ちょうかいざん"
                  print(" \n")
                  print("第9問 ふーせんがむ")
                  print(" \n")
                  hu-sen = gets.chomp

                  if hu-sen == "ふーせんがむ"
                    print(" \n")
                    print("第10問 ちいちゃんのかげおくり\n")
                    print(" \n")
                    tiityan = gets.chomp

                    if tiityan =="ちいちゃんのかげおくり"
                      print(" \n")
                      print("よくできました!!")
                      print(" \n")
                    end
                  end
                end
              end
            end
          end
        end
      end
    end
  end
end

if monndai == "15"
  print(" \n")
  print("OK!\n")
  print("間違えたら即終了!!\n")
  print(" \n")
  print("準備はいい??\n")
  print("よーい    スタート!\n")
  print(" \n")
  print("第一問 がっこうぎょうじ\n")
  print(" \n")
  gyouzi = gets.chomp

  if gyouzi == "がっこうぎょうじ"
    print(" \n")
    print("第二問 あめあがりのにじ\n")
    print(" \n")
    ameagari = gets.chomp

    if ameagari == "あめあがりのにじ"
      print(" \n")
      print("第三問 ぜんこうちょうかい")
      print(" \n")
      zennkou = gets.chomp

      if zennkou == "ぜんこうちょうかい"
        print(" \n")
        print("第四問 たいぴんぐれんしゅう")
        print(" \n")
        taipinngu = gets.chomp

        if taipinngu == "たいぴんぐれんしゅう"
          print(" \n")
          print("第五問 てんきよほう")
          print(" \n")
          tenki = gets.chomp

          if tennki == "てんきよほう"
            print(" \n")
            print("第六問 ぺっとしょっぷ")
            print(" \n")
            petto = gets.chomp

            if petto == "ぺっとしょっぷ"
              print(" \n")
              print("第七問 じゅにあどくたーちょうかいじゅく\n")
              print(" \n")
              zyunia = gets.chomp

              if zyunia == "じゅにあどくたーちょうかいじゅく"
                print(" \n")
                print("第8問 ちょうかいざん\n")
                print(" \n")
                tyoukai = gets.chomp
                
                if tyoukai == "ちょうかいざん"
                  print(" \n")
                  print("第9問 ふーせんがむ")
                  print(" \n")
                  hu-sen = gets.chomp

                  if hu-sen == "ふーせんがむ"
                    print(" \n")
                    print("第10問 ちいちゃんのかげおくり\n")
                    print(" \n")
                    tiityan = gets.chomp

                    if tiityan =="ちいちゃんのかげおくり"
                      print(" \n")
                      print("第11問 しゃーぷぺんしる\n")
                      print(" \n")
                      sya-pu = gets.chomp

                      if sya-pu == "しゃーぷぺんしる"
                        print(" \n")
                        print("第12問 でんししょせき\n")
                        print(" \n")
                        densi = gets.chomp

                        if densi == "でんししょせき"
                          print(" \n")
                          print("第13問 ぼうはんかめら\n")
                          print(" \n")
                          bouhan = gets.chomp

                          if bouhan == "ぼうはんかめら"
                            print(" \n")
                            print("第14問 てぶくろをかいに\n")
                            print(" \n")
                            tebukuro = gets.chomp

                            if tebukuro == "てぶくろをかいに"
                              print(" \n")
                              print("第15問 じっけん\n")
                              print(" \n")
                              zikken = gats.chomp

                              if zikken == "じっけん"
                                print(" \n")
                                print("perfect!!\n")
                                print(" \n")
                              end
                            end
                          end
                        end
                      end
                    end
                  end
                end
              end
            end
          end
        end
      end
    end
  end
end
